task Haplotyper {
  
  File ref_dir
  String fasta
  File dbsnp_dir
  
  String SENTIEON_LICENSE
  File recaled_bam
  File recaled_bam_index
  String dbsnp
  String sample
  String docker
  String cluster_config
  String disk_size
  
  File? regions
  Int? interval_padding
  
  command <<<
    set -o pipefail
    set -e
    export SENTIEON_LICENSE=${SENTIEON_LICENSE}
    nt=$(nproc)
    
    if [ ${regions} ]; then
      INTERVAL="--interval ${regions} --interval_padding ${interval_padding}"
    else
      INTERVAL=""
    fi

    sentieon driver -t $nt \
    --interval ${regions} -r ${ref_dir}/${fasta} \
    -i ${recaled_bam} \
    --algo Haplotyper -d ${dbsnp_dir}/${dbsnp} \
    ${sample}.Haplotyper.vcf
  >>>
  
  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  
  output {
    File vcf = "${sample}.Haplotyper.vcf"
    File vcf_idx = "${sample}.Haplotyper.vcf.idx"
  }
}


