task MSIsensor {
  
  String sample
  File ref_dir
  String fasta
  File tumor_bam
  File tumor_bam_index
  File? normal_bam
  File? normal_bam_index
  File baseline
  String docker
  String cluster_config
  String disk_size

  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)
    
    # MSI
		mkdir -p /cromwell_root/tmp/
    msisensor-pro scan -d ${ref_dir}/${fasta} -o reference.list
    if [ ${normal_bam} ]; then
      msisensor-pro msi -d reference.list -n ${normal_bam} -t ${tumor_bam} -o /cromwell_root/tmp/${sample}
    else
      msisensor-pro pro -d ${baseline} -t ${tumor_bam} -o /cromwell_root/tmp/${sample}
    fi
    cp /cromwell_root/tmp/${sample} ${sample}.MSI.txt
  >>>
  
  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  
  output {
    File msi = "${sample}.MSI.txt"
  }
}