task TMB {
  
  String sample
  File regions
  File snpindel_txt
  String docker
  String cluster_config
  String disk_size
  
  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)
    
    sort -k1,1 -k2,2n ${regions} | bedtools merge -i - > merged.bed
    size=`awk -F'\t' 'BEGIN{SUM=0}{SUM+=$3-$2}END{print SUM}' merged.bed`
    
    # analysis in python
    python ~/tmb.py ${snpindel_txt} $size ${sample}
  >>>
  
  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  
  output {
    File snp_indel="${sample}.snp_indel.txt"
    File tmb="${sample}.TMB.txt"
  }
}
